Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5
Class MarkupWriterAdapter

    java.lang.Object
      org.apache.tapestry5.MarkupWriterAdapter

All Implemented Interfaces:
  MarkupWriterListener

    public class MarkupWriterAdapter

extends java.lang.Object
implements MarkupWriterListener

Default, empty implementation of `MarkupWriterListener`.

Constructor Summary
`MarkupWriterAdapter()`

Method Summary
`void` | `elementDidEnd(Element element)` Invoked just after an element has ended.
`void` | `elementDidStart(Element element)` Invoked just after an element and its initial set of attributes has been written.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkupWriterAdapter

    public MarkupWriterAdapter()

Method Detail

### elementDidStart

    public void elementDidStart(Element element)

  Description copied from interface: `MarkupWriterListener`
  Invoked just after an element and its initial set of attributes has been written.

  Specified by:
    `elementDidStart` in interface `MarkupWriterListener`
  Parameters:
    `element` - element just created and populated with attributes
  See Also:
    `MarkupWriter.element(String, Object[])`, `MarkupWriter.elementNS(String, String)`

### elementDidEnd

    public void elementDidEnd(Element element)

  Description copied from interface: `MarkupWriterListener`
  Invoked just after an element has ended.

  Specified by:
    `elementDidEnd` in interface `MarkupWriterListener`
  Parameters:
    `element` - just ended
  See Also:
    `MarkupWriter.end()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.